
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《深入剖析Nginx》一1.6 编译与执行 / iVAN</title>

    <meta name="description" content="《深入剖析Nginx》一1.6 编译与执行 1.6 编译与执行 深入剖析Nginx Nginx的编译安装很简单,使用Linux下通用的三板斧即可:./configure.make.make install.当然,这样做的话,那么一切都是使用的默认配置,如果要做修改,则必须在执行configure时指定,比如对Nginx加上调试功能. [root@localhost nginx-1.2.0]# ./configure --with-debug 修改默认安装路径. [root@localhost nginx-1.2.0]# ./configu">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《深入剖析Nginx》一1.6 编译与执行</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.6 编译与执行</h3>
<p>深入剖析Nginx<br />
Nginx的编译安装很简单，使用Linux下通用的三板斧即可：./configure、make、make install。当然，这样做的话，那么一切都是使用的默认配置，如果要做修改，则必须在执行configure时指定，比如对Nginx加上调试功能。</p>
<pre><code>[root@localhost nginx-1.2.0]# ./configure --with-debug

</code></pre>
<p>修改默认安装路径。</p>
<pre><code>[root@localhost nginx-1.2.0]# ./configure --prefix=/usr/gqk/

</code></pre>
<p>所有这些配置选项可以通过命令查看。</p>
<pre><code>[root@localhost nginx-1.2.0]# ./configure –help

</code></pre>
<p>在默认情况下，Nginx被安装在/usr/local/nginx/目录下，而其他目录也大都以此为父目录，比如Web根目录为/usr/local/nginx/html/，日志记录在文件/usr/local/nginx/logs/access.log和/usr/local/nginx/logs/error.log内。</p>
<p>编译好后的Nginx，执行它很简单，一般我们只需指定配置文件即可。</p>
<pre><code>[root@localhost ~]# /home/gqk/nginx-1.2.0/objs/nginx -c /usr/local/nginx/conf/ nginx.conf.test

</code></pre>
<p>如果不指定配置文件，那么默认就是安装目录下的nginx.conf 文件，比如：/usr/local/nginx/conf/nginx.conf。通过ps命令可以看到Nginx是否已正常执行。</p>
<pre><code>[root@localhost ~]# ps auxf | grep nginx | grep -v grep
root   3949 0.0 0.1 5216 572  ? Ss Oct05 0:00 nginx: master process / home/gqk/nginx-1.2.0/objs/nginx -c /usr/local/nginx/conf/nginx.conf.test
nobody 3950 0.0 0.3 5404 1236 ? T  Oct05 0:00  \_ nginx: worker process

</code></pre>
<p>查看Nginx对应的监听套接口。</p>
<pre><code>[root@localhost ~]# netstat -natp | grep nginx
tcp  0  0 0.0.0.0:80  0.0.0.0:*  LISTEN  3949/nginx
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 22:31:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%a0%b9%e7%9b%ae%e5%bd%95/" title="根目录">根目录</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>, <a href="https://www.iamivan.net/tag/nginx/" title="nginx">nginx</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《深入剖析Nginx》一1.6 编译与执行的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boOB96b.html" rel="bookmark">《深入剖析Nginx》&mdash;&mdash;1&period;6 编译与执行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 编译与执行 Nginx的编译安装很简单,使用Linux下通用的三板斧即可:./configure.make.make install.当然,这样做的话,那么一切都是使用的默认配置,如果要做修改,则必须在执行configure时指定,比如对Nginx加上调试功能. [root@localhost nginx-1.2.0]# ./configure --with-debug 修改默认安装路径. [root@localhost nginx-1.2.0]# ./configure --prefi			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1Z37b.html" rel="bookmark">《深入剖析Nginx》一2&period;2 利用日志信息跟踪Nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 利用日志信息跟踪Nginx 深入剖析Nginx 优秀的程序都会带有自己的日志输出接口,并且一般还会给出不同等级的输出级别,以便于重次信息的过滤,比如 Linux 内核的日志输出标准接口为 printk,并且给出了KERN_EMERG.KERN_ALERT.KERN_DEBUG等这样的输出等级.Nginx 与此类似,下面具体来看. 为了获取最丰富的日志信息,我们在进行configure配置时,需要把--with-debug选项加上,这样能生成一个名为NGX_DEBUG的宏,而在Nginx源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR1AXz.html" rel="bookmark">《深入剖析Nginx》一1&period;3 源码目录结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 源码目录结构 深入剖析Nginx 将Nginx源码包解压后,目录文件如下所示. [root@localhost nginx-1.2.0]# ls -F auto/ CHANGES CHANGES.ru conf/ configure* contrib/ html/ LICENSE man/ README src/ 其中 auto/:包含了很多会在执行configure进行编译配置时调用的检测代码. CHANGES:Nginx的版本更新细节记录.英文版. CHANGES.ru:Nginx的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjjE7M.html" rel="bookmark">《深入剖析Nginx》一2&period;1 利用gdb调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 利用gdb调试 深入剖析Nginx gdb是Linux下调试程序的常用工具,任何Linux开发工程师初学程序调试时第一个接触到的工具应该就是gdb.关于gdb本身的详细用法,我们不多详述,读者可以参考gdb官网手册1,而在这里,我们将重点介绍一些与Nginx相关的注意点与调试技巧. 2.1.1 绑定Nginx到gdb 利用gdb调式Nginx,首先得在生成Nginx程序时把-g编译选项打开.当然,这并不是说不打开-g选项就无法用gdb调试它,只是会因为缺少相应的符号信息导致调试不便,而此			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDDydz.html" rel="bookmark">《深入剖析Nginx》一2&period;4 获得Nginx程序完整执行流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 获得Nginx程序完整执行流程 深入剖析Nginx 利用strace命令能帮助我们获取到Nginx在运行过程中所发起的所有系统调用,但是不能看到Nginx内部各个函数的调用情况.利用gdb调试Nginx能让我们很清晰地获得Nginx每一步的执行流程,但是单步调试毕竟是非常麻烦的,有没有更为方便的方法一次性获得Nginx程序执行的整个流程呢?答案是肯定的,而且方法还非常多1.虽然相比直接使用某些强大工具(如System Tap2)而言,下面要介绍的方法比较笨,但它的确可行,而且从这个过程中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p582knM.html" rel="bookmark">《深入剖析Nginx》一2&period;6 特殊应用逻辑的调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 特殊应用逻辑的调试 深入剖析Nginx前面所讲的调试方法都是针对Nginx本身很容易跑到的逻辑,而对于某些只有在特定情况下才会被执行到的代码,又该怎样去调试呢?举个例子,我们知道Nginx里有大量的超时处理,比如,如果读取客户端请求头部数据超时,Nginx就将执行对应的超时处理函数,假设我想通过单步执行的方式来了解这部分相关逻辑,无疑就得让Nginx的执行逻辑走到这条路径上来.由于此时影响Nginx行为的决定因素是客户端所发送的请求头部数据,我们就必须在客户端做动作来构造出这种场景.一般			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0vK2b.html" rel="bookmark">《深入剖析Nginx》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 深入剖析Nginx慕名对Nginx源码进行学习与研究是早在2008年的事情.当时正在为职业规划与未来发展困惑不已,一筹莫展之际不知从哪里得知高性能服务器是一个很有&quot;前途&quot;的努力方向,几经搜索又机缘偶合地得识Lighttpd与Nginx.在逐步了解和熟悉它们的源码后,我开始感到自己的无知与浅薄,发现原来代码也可以写得如此优雅. 我已编著过一本&lt;Lighttpd源码分析&gt;.先解析Lighttpd源码并没有什么特别的原因,只是因为在当时Lighttpd比Nginx要火,应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPwjqp.html" rel="bookmark">《深入剖析Nginx》&mdash;&mdash;1&period;2 源码下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 源码下载 深入剖析Nginx Nginx的源码可通过官网提供的下载地址1找到,截止当前的最新版本是Nginx 1.2.0,也就是本书所针对的版本.虽然官网下载页没有提供Nginx旧版源码的下载链接,但Nginx的所有版本源码包都是放在目录 http://nginx.org/download/下的,所以包括Nginx 0.1.0版本在内的Nginx源码都能下载到. 由于Nginx背后有公司运作,所以其更新速度比较快,相关资料也比较齐全,下面是一些有用的网址. 官方主页:http://ngi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW6kjp.html" rel="bookmark">《深入剖析Nginx》一第1章 源码分析的准备工作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 源码分析的准备工作 深入剖析Nginx 从Nginx(读作engine x)的官方网站1,我们可以看到如下介绍:Nginx是Igor Sysoev2编写的一款HTTP和反向代理服务器,另外它也可以当作邮件代理服务器.它一直被众多流量巨大的俄罗斯网站所使用,例如Yandex3.Mail.Ru4.VKontakte5以及Rambler6等.据Netcraft统计,截止到2012年8月份,世界上最繁忙的网站中有11.48%7在使用Nginx作为其服务器或者代理服务器.部分典型成功案例有:Net			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4w9qp.html" rel="bookmark" class="title">Java多线程基础总结八：ReentrantReadWriteLock</a>
					<div>
						说到ReentrantReadWriteLock,首先要做的是与ReentrantLock划清界限.它和后者都是单独的实现,彼此之间没有继承或实现的关系. 然后就是总结这个锁机制的特性了: (a).重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3YAAp.html" rel="bookmark" class="title">java-关于spring&plus;hibernate 注入sessionFactory为null的问题</a>
					<div>
						问题描述 关于spring+hibernate 注入sessionFactory为null的问题 最近一个项目需要用到struts2+spring+hibernate组合框架,我在一点一点的做配置,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBlAdp.html" rel="bookmark" class="title">如何写出优秀的ASP应用文章</a>
					<div>
						什么是ASP Active Server Page,简称ASP,是: l连接网友界面(HTML)和商业逻辑(Business Logic): l提供一致的.容易使用的.有状态保持的.基于WEB的客户端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKEG6M.html" rel="bookmark" class="title">Flash基础理论课 第八章 缓动与弹性运动Ⅲ</a>
					<div>
						返回&quot;Flash基础理论课 - 目录&quot; 弹簧链 下面我们将几个弹性小球串联起来.在介绍缓动一节时,我们简单地讨论了鼠标跟随的概念,意思是说一个物体跟随鼠标,另一个物体再跟随这个物体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKPrBM.html" rel="bookmark" class="title">智能手机单行输入法：Minuum Keyboard</a>
					<div>
						输入法对于智能手机来说简直最重要不过了.使用语音输入,有时候不得不面对被机器调戏的情况,使用Qwerty全键盘,指头粗点的还真是驾驭不了--本文要给大家介绍的是一款长相奇异的输入法,不过目前的这个版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaX73M.html" rel="bookmark" class="title">C&num;的类型转换</a>
					<div>
						在计算机中,所有的数据都是以0和1的形式存在的,变量的含义是通过数据的这种解释方式来传达的.在实际应用中很多地方要用到不同数据类型之间的转换,请看下面的一个例子 string str = null;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kGPaz.html" rel="bookmark" class="title">Nutch项目配置之内部网搜索</a>
					<div>
						http://lucene.apache.org/nutch/tutorial8.html 有如下的介绍: Requirements Java 1.4.x, either from Sun or IB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOEw0M.html" rel="bookmark" class="title">PS鼠绘卡通小熊</a>
					<div>
						教程介绍简单的卡通玩具的鼠绘方法.整个过程基本上是用钢笔及画笔来完成,如果模仿能力强的可以非常快速的画出来,不需要线稿.制作的过程中最好分层来做,方便后面的细调. 最终效果 1.先来画耳朵,白画笔高硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k9aaz.html" rel="bookmark" class="title">Win7分区表丢失如何恢复？</a>
					<div>
						  步骤如下: 一. 我决定尝试Win7自带的Bootrec.exe修复工具来修复一下分区表 首先简单的介绍一下Bootrec.exe,这里我们会用到两个参数/fixmbr和/fixboot,/Fix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmQQ8z.html" rel="bookmark" class="title">Linux使用指令释放缓存提升系统运行速度的方法</a>
					<div>
						  Linux系统操作久了,就会产生很多看视频.下载文件留下的缓存,如果不定期清理则会导致系统变得很缓慢,下面小编就给大家介绍下Linux释放缓存的方法. Linux系统的缓存机制是相当先进的,他会针 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWx19p.html" rel="bookmark" class="title">stream was not readable&period;</a>
					<div>
						StreamWriter使用时的报错情况: stream was not readable. 错误原因: 没有指定StreamWriter的写入文件 正确代码示例1: byte[] businessD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGajqb.html" rel="bookmark" class="title">程序员：伤不起的三十岁</a>
					<div>
						http://www.cnblogs.com/watsonyin/archive/2012/09/07/2674618.html 程序员干到30岁,好不容易从码奴混到了白领,却再也干不动了,还时时面临 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQQXnp.html" rel="bookmark" class="title">基于用户行为分析的关联推荐</a>
					<div>
						我们会发现很多网站都具备了内容推荐的功能,不仅是像B2C电子商务类的卓越的图书推荐,也包括兴趣类网站像豆瓣的豆瓣猜等.这类功能无疑在帮助用户发现需求,促进商品购买和服务应用方面起到了显著性的效果.那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam73mb.html" rel="bookmark" class="title">微软官方的SqlHelper</a>
					<div>
						using System; using System.Data;     using System.Xml;     using System.Data.SqlClient;     using Sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPar0p.html" rel="bookmark" class="title">mysql-JSP&plus;SERVLET&plus;MYSQL问题</a>
					<div>
						问题描述 JSP+SERVLET+MYSQL问题 com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Not unique table ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlgDvb.html" rel="bookmark" class="title">Google对百度&colon;IE搜索工具条谁是至尊&lpar;3&rpar;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Google Toolbar的Pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBGkqb.html" rel="bookmark" class="title">js判断alert 对话框是否弹出</a>
					<div>
						问题描述 我设置了按enter就提交但是如果文本框为空就弹提示不能为空一直按enter键就一直打开alert所以想如果对话框存在就关闭对话框不存在就提交 解决方案 解决方案二:弹出alert的时候,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq3xVb.html" rel="bookmark" class="title">简单的难问题，在线等</a>
					<div>
						问题描述 怎么样做一个论坛啊?数据库已建好,那个论坛的主页面怎么弄啊?最好是给说详细点哈,先谢了 解决方案 解决方案二:先不要求实现太多的功能,只需要实现发帖.注册用户及登录用户和申请版主就行!指点一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgZwaM.html" rel="bookmark" class="title">前端开发：微吧里的各种margin负值</a>
					<div>
						一直在做各种项目接各种需求,但你的代码能力得到提高了吗?不停的项目经历虽然能够增加你的代码行数,但不一定能提升你的代码质量,所以除了构建阶段的代码细扣,项目之后的代码总结是至关重要的. 微吧中除了模块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwPJmM.html" rel="bookmark" class="title">【Linux网络编程】IP地址介绍</a>
					<div>
						什么是 IP 地址 IP 地址(Internet Protocol Address)也称为网间地址.网际地址.IP地址是指互联网协议地址(英语:Internet Protocol Address,又译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x5L4b.html" rel="bookmark" class="title">数据库 mysql 视图-MYsql&comma;更新或插入创建视图的源表，则视图的数据更新需要时间吗？</a>
					<div>
						问题描述 MYsql,更新或插入创建视图的源表,则视图的数据更新需要时间吗? 使用的工具是Navicat for MySql, 主要问题是:我要同步七张表数据,然后根据这七张表创建了一个视图A,然后根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBaPaz.html" rel="bookmark" class="title">求助！！html5中的canvas的问题。求指点。。。</a>
					<div>
						问题描述 问题描述:我用canvas定义了一个图层.然后再这个上面绘制了一个圆,怎样实现鼠标经过这个圆变色,点击这个圆变色的行为啊...初学html5....求高手指点..代码如下:&lt;!DOCT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0yxOp.html" rel="bookmark" class="title">Python的中文问题解决办法</a>
					<div>
						Python的中文问题解决办法 python 的 eclips教程环境后写了一个测试程序.结果出现这样的错误: SyntaxError: Non-ASCII character 'xbd' in fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdRn5b.html" rel="bookmark" class="title">ALV输出，列的合并问题</a>
					<div>
						问题描述 sap标准函数REUSE_ALV_GRID_DISPLAY,提供列的合并功能,当本列的内容一样就合并..现在有个需求:假设有个内表,该表有两列,第一列是员工编号,第二例是值,如果有两个员工号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAgKap.html" rel="bookmark" class="title">康佳董事长吴斯远：抛弃价格战 不砸钱拉用户</a>
					<div>
						摘要: 履新十个月的康佳集团(000016.SZ,下称康佳)董事长吴斯远,曾是康佳大股东华侨城集团旗下欢乐谷的创始人,如何带领康佳这个老国企迎接互联网时代的严峻挑战? 吴斯远8月18日在接 履新十个月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy7LJz.html" rel="bookmark" class="title">&lbrack;web&rsqb; &lbrack;b&sol;s&rsqb; 如何在后台获取前台页面控件的ID？</a>
					<div>
						问题描述 如何在后台获取前台页面控件的ID? 解决方案 解决方案二:webb/s解决方案三:&lt;inputtype=buttonruant=serverid='a'/&gt; a.xxxxxxxx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWnArM.html" rel="bookmark" class="title">python  spyder 运行效率</a>
					<div>
						问题描述 python spyder 运行效率 写了一个软件,在spyder 用python console 下运行时间大约17sec,但自己双击运行时间大约200sec. 大家有什么意见 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWQ5ab.html" rel="bookmark" class="title">基于移动agent技术的供应链订单流管理</a>
					<div>
						1 引 言 面对市场全球化的趋势及激烈的市场竞争,先进制造技术(如企业重组.动态联盟.敏捷制造等)不断涌现,IT技术(如Internet/Intranet.分布式技术等)日新月异,流通领域的经营模式日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNevjb.html" rel="bookmark" class="title">凯明启示录：倒闭风潮刚开始</a>
					<div>
						虽然几个月前便知道凯明http://www.aliyun.com/zixun/aggregation/36564.html&quot;&gt;资金不足,听闻凯明倒闭的消息还是感到些许震惊,毕竟凯明这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5WWrDb.html" rel="bookmark" class="title">网络营销策划方案基本模板</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网络营销策划方案是为达到一定的营销目标而制定的综合性的.具体的网络营销策略和活动计划.一份完整的网络营销策划方案必须包括以下几个基本要素:网站分析.网站 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
